# Getestet mit Python 3.11.6 und PySide 6.5.3

import sys
import time
import locale
import PySide6.QtWidgets as widgets
import PySide6.QtUiTools as uic

# Viele rote Kringel, weil die Typen erst bekannt sind, wenn der QUiLoader gelaufen ist.
# Man könnte mit typing.cast abhelfen, aber das wird unübersichtlich.

locale.setlocale(locale.LC_ALL, "")
        
def convert(s_in):
    if w.radioButton_2.isChecked():
        s = locale.str(locale.atof(s_in) * 13.0 + 42.0)
    else:
        s = locale.str(locale.atof(s_in) * 13.0 - 1000.0)
    w.label.setText(s)
    if len(s_in) >= 3:
        f.write(locale.str(time.perf_counter())+"\n")

locale.setlocale(locale.LC_ALL, "")
f = open("daten.csv", "w")
app = widgets.QApplication(sys.argv)
w = uic.QUiLoader().load("temperatur.ui")
w.lineEdit.textEdited.connect(convert)
for i in range(10):
    time.sleep(0.5)
    w.lineEdit.setText("")
    w.lineEdit.setFocus()
    f.write(locale.str(time.perf_counter())+";")
    w.exec()
f.close()